%global pkgvers 0
%global scdate0 20241107
%global schash0 6360b4a30398ed113cead4f6f77b11efeafa6fd0
%global branch0 main
%global source0 https://github.com/olofk/fusesoc.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           fusesoc
Version:        2.4.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Tools for FPGA/ASIC development
BuildArch:      noarch
License:        BSD
URL:            https://fusesoc.readthedocs.io

BuildRequires:  git python3-devel python3-setuptools

%global _python_dist_allow_version_zero 1

%description
FuseSoC is a package manager and a set of build tools for FPGA/ASIC development.

%package        python3
Summary:        %{summary}
Requires:       okonomiyaki-python3
Provides:       fusesoc

%description    python3
Edalize is a library for interfacing EDA tools, primarily for FPGA development.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
echo "import setuptools; setuptools.setup(packages=['%{name}'],name='%{name}',version='%{version}')" > setup.py
%py3_build


%install
%py3_install
sed -i '/jsonschema2md/d' %{buildroot}%{python3_sitelib}/%{name}-*.egg-info/PKG-INFO || true
sed -i '/jsonschema2md/d' %{buildroot}%{python3_sitelib}/%{name}-*.egg-info/requires.txt || true


%files python3
%license LICENSE
%doc NEWS README.md
%{_bindir}/%{name}
%{python3_sitelib}/*


%changelog
* Sun Dec 05 2021 Cristian Balint <cristian.balint@gmail.com>
- github upstream releases
